<template>
  <div class="wrapper">
    <content-header ref="sidebar"></content-header>
    <div class="main-panel" :class="{showSideBar: isShowSideBar}">
      <dashboard-content>
      </dashboard-content>
    </div>
    <content-footer></content-footer>
    <modal v-if="displayModal" @close="modalOff">
      <component v-bind:is="currentModal" :modal-data="modalData"></component>
    </modal>
  </div>
</template>
<style lang="scss">

</style>
<script>
import ContentHeader from './Header.vue';
import ContentFooter from './Footer.vue';
import DashboardContent from './Content.vue';
import ModalMixin from '../../../common/components/ModalMixin';
import UnauthorizedModal from '../../components/Modal/UnauthorizedModal.vue';

export default {
  components: {
    ContentHeader,
    DashboardContent,
    ContentFooter
  },
  data() {
    return {
      isShowSideBar: false,
    }
  },
  mixins: [ModalMixin],
  created () {
    if (!this.$isAuthenticated) {
      this.$router.push('/login');
    }

    this.$on('Unauthorized', () => {
      this.$broadcast('open-modal', UnauthorizedModal);
    });

    this.$on('toggleSideBar', () => {
      if (this.$refs.sidebar.isShowSideBar) {
        this.isShowSideBar = true;
      } else {
        this.isShowSideBar = false;
      }
    });

    if (this.isShowSideBar) {

    } else {
      document.body.style.overflow = "auto";
      document.body.style.height = "auto";
    }
  }
}
</script>
<style lang="scss" scoped>
  @import '../../../../sass/mobile/typoVariables.scss';

  .wrapper {
    padding-top: 60rem;
  }
  .main-panel {
    min-height: calc(100vh - 60rem - 108rem);
    transition: all 0.3s ease-in-out;
    display: grid;
    background-color: $bg_primary;
    &.showSideBar {
      height: calc(100vh - 60rem - 150rem);
    }
  }

  .main-panel.show-side-bar {
    transform: translateX(-240px);
  }
</style>
